module WebFrontendBinect::DocumentBasicHelper
    def count_all_documents(is_payed)
        all_documents(is_payed).nil? ? 0 : all_documents(is_payed).count
    end

    def all_documents(is_payed)
        if current_user.present?
            Nukleus::Document.all_by_user_id(current_user.id, is_payed)
        else
            session[:session_id].present? ? Nukleus::Document.all_by_session_id(session[:session_id], is_payed) : nil
        end
    end

    def price_of_unpaid_documents
        price = 0.0
        all_documents(false).each { |doc| price += doc.price.to_f }
        price
    end

    def count_missing_documents
        if current_user.present?
            Nukleus::Document.where(user_id: current_user.id, document_version: 0).count - Nukleus::Document.where(user_id: current_user.id, document_version: 1).count
        else
            Nukleus::Document.where(session_id: session[:session_id], document_version: 0).count - Nukleus::Document.where(session_id: session[:session_id], document_version: 1).count
        end
    end

end
